Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Static Protected Attributes
Lucene::CharFolder Class Reference

Utility class for folding character case. More...

`#include <CharFolder.h>`

Inheritance diagram for Lucene::CharFolder:

## Public Member Functions

virtual | ~CharFolder ()
virtual String | getClassName ()
boost::shared_ptr< CharFolder > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static wchar_t | toLower (wchar_t ch)
static wchar_t | toUpper (wchar_t ch)
template<class ITER >
static void | toLower (ITER first, ITER last)
template<class ITER >
static void | toUpper (ITER first, ITER last)

## Static Protected Member Functions

static bool | fillLower ()
static bool | fillUpper ()

## Static Protected Attributes

static bool | lowerCache
static bool | upperCache
static wchar_t | lowerChars [CHAR_MAX - CHAR_MIN+1]
static wchar_t | upperChars [CHAR_MAX - CHAR_MIN+1]

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Utility class for folding character case.

## Constructor & Destructor Documentation

## ◆ ~CharFolder()

virtual Lucene::CharFolder::~CharFolder | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::CharFolder::_getClassName | ( |  | ) |

inline static

## ◆ fillLower()

static bool Lucene::CharFolder::fillLower | ( |  | ) |

static protected

## ◆ fillUpper()

static bool Lucene::CharFolder::fillUpper | ( |  | ) |

static protected

## ◆ getClassName()

virtual String Lucene::CharFolder::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< CharFolder > Lucene::CharFolder::shared_from_this | ( |  | ) |

inline

## ◆ toLower() [1/2]

template<class ITER >

static void Lucene::CharFolder::toLower | ( | ITER | first,
|  | ITER | last
| ) |  |

inline static

## ◆ toLower() [2/2]

static wchar_t Lucene::CharFolder::toLower | ( | wchar_t | ch | ) |

static

## ◆ toUpper() [1/2]

template<class ITER >

static void Lucene::CharFolder::toUpper | ( | ITER | first,
|  | ITER | last
| ) |  |

inline static

## ◆ toUpper() [2/2]

static wchar_t Lucene::CharFolder::toUpper | ( | wchar_t | ch | ) |

static

## Field Documentation

## ◆ lowerCache

bool Lucene::CharFolder::lowerCache

static protected

## ◆ lowerChars

wchar_t Lucene::CharFolder::lowerChars[CHAR_MAX - CHAR_MIN+1]

static protected

## ◆ upperCache

bool Lucene::CharFolder::upperCache

static protected

## ◆ upperChars

wchar_t Lucene::CharFolder::upperChars[CHAR_MAX - CHAR_MIN+1]

static protected

The documentation for this class was generated from the following file:

- CharFolder.h

clucene.sourceforge.net